import Request from '../common/request.js';
let request = new Request().http
 

 export function getProductCate(data) {
 	 return request('/app/product/getProductCate',data,'GET');
 }
 
 export function getProductCateByPid(data) {
 	 return request('/app/product/getProductCateByPid',data,'GET');
 }
 
 export function getProducts(data) {
 	 return request('/app/product/getProducts',data,'GET');
 }
 export function getProductDetails(data) {
 	 return request('/app/product/getProductDetails',data,'GET');
 }
 
 export function getCarts(data) {
 	 return request('/app/product/getCarts',data,'GET');
 }
 export function addCart(data) {
 	 return request('/app/product/addCart',data,'POST','application/json;charset=UTF-8');
 }
 export function delCart(data) {
 	 return request('/app/product/delCart',data,'POST','application/json;charset=UTF-8');
 }
 export function cartNum(data) {
 	 return request('/app/product/cartNum',data,'POST','application/json;charset=UTF-8');
 }
 export function getCartCount(data) {
 	 return request('/app/product/getCartCount',data,'GET');
 }
 export function getGoodsProduct() {
 	 return request('/app/product/getGoodsProduct',null,'GET');
 }
 export function getGoodsProducts(data) {
 	 return request('/app/product/getGoodsProducts',data,'GET');
 }
 export function getTuiProducts(data) {
 	 return request('/app/product/getTuiProducts',data,'GET');
 }
 export function getStoreProductAttrValueList(data) {
 	 return request('/app/product/getStoreProductAttrValueList',data,'GET');
 }
 
 export function getProductStoreStock(data) {
 	 return request('/app/product/getProductStoreStock',data,'GET');
 }
 
 

 
 
 
 
 
 
 
 

 
 
 
 
 
 